import { IWidgetExtension, IDocumentContext } from 'jupyterlab/lib/docregistry';
import { INotebookModel } from 'jupyterlab/lib/notebook/notebook/model';
import { NotebookPanel } from 'jupyterlab/lib/notebook/notebook/panel';
import { JupyterLabPlugin } from 'jupyterlab/lib/application';
import { IDisposable } from 'phosphor/lib/core/disposable';
import { Token } from 'phosphor/lib/core/token';
import { WidgetManager } from './index';
export declare const IIPyWidgetExtension: Token<IIPyWidgetExtension>;
export interface IIPyWidgetExtension extends IPyWidgetExtension {
}
/**
 * The widget manager provider.
 */
declare const widgetManagerProvider: JupyterLabPlugin<IIPyWidgetExtension>;
export default widgetManagerProvider;
export declare class IPyWidgetExtension implements IWidgetExtension<NotebookPanel, INotebookModel> {
    /**
     * Create a new extension object.
     */
    createNew(nb: NotebookPanel, context: IDocumentContext<INotebookModel>): IDisposable;
    /**
     * Register a widget module.
     */
    registerWidget(data: WidgetManager.IWidgetData): void;
    private _registry;
}
